Bug 43980 - Installer crashes while scanning packages
Installer crashes while scanning packages
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-08 13:30 EDT by Rick Jenkins
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 14:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trace file presented by installer (10.19 KB, text/plain)
2001-06-08 13:31 EDT, Rick Jenkins
no flags Details
updates file for anaconda (67.31 KB, text/plain)
2001-07-09 15:30 EDT, Brent Fox
no flags Details

  None (edit)
Description Rick Jenkins 2001-06-08 13:30:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.17 i586; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
This is my fourth try at upgrading 6.2->7.1. Earlier tries quietly ran out
of space on /var while scanning, and scanned forever. I made 45M of space
on /var, then this failure occured early in the install with a proper error
message, output attached.

How reproducible:
Didn't try


Additional info:
Comment 1 Rick Jenkins 2001-06-08 13:31:53 EDT
Created attachment 20652 [details]
Trace file presented by installer
Comment 2 Rick Jenkins 2001-06-08 13:53:53 EDT
Reproduced twice, identical results.

To invoke, install, select English, 101 key generic, PS/2 3-button mouse,
upgrade, select packages.

System is AMD K6/2 at 450 MHz on Asus P5A/B motherboard, panasonic 24x cdrom,
64M EDO DRAM, Matrox G400 Video. It has run linux 6.2 reliably for over a year.

I could easily resolve this if the parted binary was on the cdrom, as your
documentation claims. Pity about that...
Comment 3 Rick Jenkins 2001-06-09 16:27:11 EDT
1. Another user with an Asus P5A/B motherboard has emailed me that he has
similar problems. His board, and mine, have the 1010 BIOS. Text of his email:

> I also have a ASUS P5A-B with 1010 bios. The linux install also stops
> usually after package selection (server- with xserver,gnome,samba,dns
> server). It then just gives a text output of anaconda .... abnormally
> stopped. I think it may have to do with the motherboad. Linux redhat 7.1
> just doesn't like it. Mine I have is using a Pentium 200 MMX CPU.
> Have you found a fix for this?

2. I have now made an apparently flawless "workstation" installation on a system
based on the Asus P55TVP4 motherboard, which at least validates my CDROMs

3. Attempting a "workstation" install on a second Asus P5A/B motherboard based
system, this one with the older 1008 BIOS, the install ran to completion with no
apparent problems. On rebooting, the boot stalled with a broken disk block in an
inode of the root directory. Running e2fsck, the superblock was reported as bad,
and the alternate superblock is also broken. This machine has run RedHat Linux
6.2 for 18 months without trouble. To recover this system I shall have to
reinstall Redhat 6.2 from scratch.
Comment 4 Brent Fox 2001-06-12 12:04:59 EDT
Can you look on VC3 and VC4 when the installer crashes and see if there are any
debug error messages?
Comment 5 Rick Jenkins 2001-06-13 12:41:29 EDT
It's not clear how to do that. The intall terminates with an error box on
screen, and all exits from the error box close down the system. How do I get a
shell to examine VCs before they vanish?

Installing in text mode briefly displays the error message:

    Error: cannot open Packages index

This appears split across lines, on a black background, inserted into the
overall blue screen background. It is almost immediately overlaid, and partly
obliterated, by the error box.
Comment 6 Brent Fox 2001-06-13 14:02:42 EDT
Pressing <Ctrl><Alt><F4> doesn't do anything?  Perhaps you could look at VC4 a
few times before it crashes and see if anything appears out of the ordinary.  

Also, try booting with 'linux ide=nodma' and see if that helps.
Comment 7 Rick Jenkins 2001-06-13 16:08:39 EDT
Using <Ctrl><Alt><F4> works fine, but I had hoped to dump the entire content for
your examination. Unfortunately, what we get is not exciting.

Immediately after the Red Hat banner screen comes up, on launch of X windows,
the last message on VC3 is:

* no ide floppy devices found

No additions are made up to and including when the crash occurs. There seems to
be nothing even faintly interesting on VC3.

On VC4 at banner we see:

.
.
<4> hdd: ATAPI 24X CD_ROM drive, 256kB Cache, DMA
<6> Uniform CD-ROM driver Revision: 3.12
.
.
<7> ISO 9660 Extensions: RRIP_1991A
<4> Unable to identify CD_ROM format
.
.
<4> raid5: using function: p5_mmx (944.800 MB/sec)
<6> raid5: personality registered is nr4

After the crash one line is added:

<6> Adding Swap: 131504k swap-space (priority -1)

I can't catch this line before the crash, at any point in the process.

Using the ide=nodma switch has no discernable effect.
Comment 8 Rick Jenkins 2001-06-19 13:34:20 EDT
The apparently flawless installation on the Asus P55TVP4 motherboard has a few
problems of its own. Of course these are not necessarily related to the install
bug :-)

About one boot in three results in LILO halting with a crc error.

About once an hour the X11 system hangs, then crashes and exits. Restarting X
always works.

This system ran Red Hat 6.2 reliably for over a year, no changes were made prior
to re-installation with 7.1.
Comment 9 Brent Fox 2001-06-26 14:54:37 EDT
We have fixed the original problem of the installer not being able to remove the
anaconda-rebuilddb when the upgrade is through.  Thanks for your report.
Comment 10 Rick Jenkins 2001-06-26 16:06:48 EDT
Thanks. How do I install 7.1, using your fix?
Comment 11 Brent Fox 2001-07-09 15:30:03 EDT
Created attachment 23107 [details]
updates file for anaconda
Comment 12 Brent Fox 2001-07-09 15:32:18 EDT
Take the file that I attached above and save it with the name "todo.py".  Copy
that file to a formatted floppy disk.  When you boot off the cdrom, type 'linux
updates' at the boot screen.  The install will prompt you later for the updates
disk.  Insert the floppy that you created with todo.py on it and the installer
should pull it in.  Does that help?

Note You need to log in before you can comment on or make changes to this bug.